import React from 'react'
import colors from '../../utils/Colors'

const Email = () => (
  <svg viewBox='0 0 30 32' xmlns='http://www.w3.org/2000/svg'>
    <path
      d='M29.217 14.994V31.7l-8.556-6.1-.98 1.273L26.872 32H2.347l7.283-5.184-.98-1.273L0 31.7V14.925l14.698 9.315 14.52-9.246zM0 12.972c0-1.454.923-2.063 2.054-3.053l3.737-3.268 1.068-4.647 3.414.726L12.546.743c1.131-.99 2.984-.99 4.116-.002l5.069 4.427 5.543 1.18-.701 3.049.6.523c1.131.989 2.044 1.753 2.044 3.052v.123l-6.069 3.865 2.164-9.41-17.2-3.659-2.866 12.463L0 13.03v-.057zm20.87.341c0 .654-.118 1.254-.353 1.799-.235.545-.568.97-.997 1.273-.43.305-.928.457-1.496.457-.378 0-.714-.081-1.008-.242a1.402 1.402 0 0 1-.625-.637h-.123a2.67 2.67 0 0 1-.913.644 2.949 2.949 0 0 1-1.196.235c-.905 0-1.618-.242-2.14-.726-.52-.483-.781-1.143-.781-1.978 0-.95.338-1.72 1.016-2.31.677-.59 1.575-.885 2.695-.885.413 0 .892.035 1.434.106.541.07.984.16 1.326.269l-.176 3.331c0 .636.194.954.582.954.328 0 .588-.213.783-.637.194-.425.29-.98.29-1.666 0-.73-.168-1.377-.508-1.938-.341-.56-.82-.99-1.442-1.287-.622-.298-1.334-.447-2.136-.447-1.027 0-1.924.191-2.692.572-.766.382-1.352.927-1.755 1.635-.404.708-.606 1.526-.606 2.452 0 1.258.377 2.222 1.131 2.892.754.67 1.847 1.005 3.278 1.005.573 0 1.186-.056 1.84-.17a12.9 12.9 0 0 0 1.864-.463v1.314c-1.084.41-2.298.613-3.643.613-1.942 0-3.457-.454-4.543-1.362-1.085-.909-1.628-2.17-1.628-3.788 0-1.121.28-2.14.84-3.058.56-.917 1.353-1.634 2.38-2.149 1.028-.515 2.201-.773 3.52-.773 1.124 0 2.13.204 3.014.613.883.408 1.566.99 2.047 1.744.48.754.72 1.623.72 2.608zm-7.852.852c0 .958.44 1.437 1.319 1.437.454 0 .803-.144 1.046-.432.243-.289.39-.76.441-1.414l.1-1.505a4.801 4.801 0 0 0-.882-.068c-.639 0-1.136.177-1.492.53-.355.355-.532.839-.532 1.452z'
      fill={colors.EMAIL_SVG_COLOR}
    />
  </svg>
)

export default Email
